<?php
/**
 * DouPHP
 * --------------------------------------------------------------------------------------------------
 * 版权所有 2013-2024 漳州豆壳网络科技有限公司，并保留所有权利。
 * 网站地址: http://www.douphp.com
 * --------------------------------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在遵守授权协议前提下对程序代码进行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 * 授权协议: http://www.douphp.com/license.html
 * --------------------------------------------------------------------------------------------------
 * Author: DouCo Co.,Ltd.
 * Release Date: 2024-09-30
 */
define('IN_DOUCO', true);

$_CUR = 'partner';
require (dirname(__FILE__) . '/include/init.php');

// 未加入分页条件的SQL语句
$sql = "SELECT * FROM " . $dou->table('partner') . " ORDER BY id DESC";

// 获取分页信息
$page = $check->is_number($_REQUEST['page']) ? trim($_REQUEST['page']) : 1;
$limit = $dou->pager($sql, ($_DISPLAY['partner'] ? $_DISPLAY['partner'] : 15), $page);

/* 获取产品列表 */
$sql = $sql . $limit; // 加入分页条件的SQL语句
$query = $dou->query($sql);
while ($row = $dou->fetch_array($query)) {
    // 多语言
    $row = $dou->lang_box($row, 'partner', 'name');
    
    $partner_list[] = array (
            "id" => $row['id'],
            "name" => $row['name'],
            "image" => $dou->dou_file($row['image']),
            "add_time" => date("Y-m-d", $row['add_time'])
    );
 
    $image_list[] = $dou->dou_file($row['image']);
}

// 数据封装
$data['title'] = $_LANG['partner'];
$data['partner_list'] = $partner_list;
$data['image_list'] = $image_list;

echo json_encode($data);

?>