<?php
/**
 * DouPHP
 * --------------------------------------------------------------------------------------------------
 * 版权所有 2013-2024 漳州豆壳网络科技有限公司，并保留所有权利。
 * 网站地址: http://www.douphp.com
 * --------------------------------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在遵守授权协议前提下对程序代码进行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 * 授权协议: http://www.douphp.com/license.html
 * --------------------------------------------------------------------------------------------------
 * Author: DouCo Co.,Ltd.
 * Release Date: 2024-09-30
 */
define('IN_DOUCO', true);

if (!defined('REWRITE')) {
    $_CUR = 'partner';
    require (dirname(__FILE__) . '/include/init.php');
}
$smarty->assign('cur', $_CUR);

// 未加入分页条件的SQL语句
$sql = "SELECT * FROM " . $dou->table('partner') . " ORDER BY id DESC";

// 获取分页信息
$page = $check->is_number($_REQUEST['page']) ? trim($_REQUEST['page']) : 1;
$limit = $dou->pager($sql, ($_DISPLAY['partner'] ? $_DISPLAY['partner'] : 15), $page, $dou->rewrite_url('partner'));

/* 获取合作伙伴列表 */
$sql = $sql . $limit; // 加入分页条件的SQL语句
$query = $dou->query($sql);

while ($row = $dou->fetch_array($query)) {
    // 多语言
    $row = $dou->lang_box($row, 'partner', 'name');
    
    $partner[] = array (
            "id" => $row['id'],
            "name" => $row['name'],
            "image" => $dou->dou_file($row['image']),
            "add_time" => date("Y-m-d", $row['add_time'])
    );
}

// 赋值给模板-meta和title信息
$smarty->assign('page_title', $dou->page_title('partner'));
$smarty->assign('keywords', $_CFG['site_keywords']);
$smarty->assign('description', $_CFG['site_description']);

// 赋值给模板-导航栏
$smarty->assign('nav_top_list', $dou->get_nav('top'));
$smarty->assign('nav_middle_list', $dou->get_nav('middle', 0, 'partner', 0));
$smarty->assign('nav_bottom_list', $dou->get_nav('bottom'));

// 赋值给模板-数据
$smarty->assign('page_list', $dou->get_page_list(1));
$smarty->assign('ur_here', $dou->ur_here('partner'));
$smarty->assign('partner', $partner);

$smarty->display('partner.dwt');
?>